/// <reference types="node" />
import type { Readable } from 'stream';
import { IBinaryData, IExecuteFunctions } from 'n8n-workflow';
declare const withTempFile: <T>(fn: (fileName: string) => T) => Promise<T>;
declare const withTempDir: <T>(fn: (dirPath: string) => T) => Promise<T>;
declare const isWordDocument: (data: IBinaryData) => boolean;
declare const buildOptions: (node: IExecuteFunctions, index: number) => object;
declare const renderDocument: (document: Buffer | Readable, context: any, options: object) => Promise<Buffer>;
declare const convertDocumentToPdf: (document: Buffer) => Promise<Buffer>;
export { withTempFile, withTempDir, isWordDocument, buildOptions, renderDocument, convertDocumentToPdf, };
