"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergePdfs = exports.isPDFDocument = void 0;
const pdf_lib_1 = require("pdf-lib");
const isPDFDocument = (data) => data.mimeType === 'application/pdf';
exports.isPDFDocument = isPDFDocument;
const mergePdfs = async (document1, document2) => {
    const mergedPdf = await pdf_lib_1.PDFDocument.create();
    const pdfA = await pdf_lib_1.PDFDocument.load(document1);
    const pdfB = await pdf_lib_1.PDFDocument.load(document2);
    const copiedPagesA = await mergedPdf.copyPages(pdfA, pdfA.getPageIndices());
    copiedPagesA.forEach((page) => mergedPdf.addPage(page));
    const copiedPagesB = await mergedPdf.copyPages(pdfB, pdfB.getPageIndices());
    copiedPagesB.forEach((page) => mergedPdf.addPage(page));
    const mergedPdfFile = await mergedPdf.save();
    return Buffer.from(mergedPdfFile);
};
exports.mergePdfs = mergePdfs;
//# sourceMappingURL=PdfMergeUtils.js.map